
import java.applet.*;
import java.awt.*;
import java.net.*;
import java.io.*;
import java.text.*;

public class Lx extends Applet implements Runnable
{
	Thread timer;
	
	InetAddress xport_ip = null;
	int port = 10001;
	Socket xport_socket;
	DataInputStream socketin;
	
	int receive;
	
	public void init()
	{
		try
		{
			xport_ip = InetAddress.getByName(getCodeBase().getHost());
		}
		catch(UnknownHostException e){}
		
		try
		{
			xport_socket = new Socket(xport_ip, port);
			socketin = new DataInputStream(xport_socket.getInputStream());
		}
		catch(IOException e){}
	}
	
	public void start()
	{
		timer = new Thread(this);
		timer.start();
	}
	
	public void stop()
	{
		try
		{
			socketin.close();
			xport_socket.close();
		}
		catch(IOException e){}
		
		timer = null;
	}
	
	public void run()
	{
		Thread me = Thread.currentThread();
		while(timer == me)
		{
			try
			{
				Thread.currentThread().sleep(100);
			}
			catch(InterruptedException e){}
			
			try
			{
				receive = socketin.readByte();
				receive = receive & 0xFF;
			}
			catch(IOException e){}
			
			repaint();
		}
	}
	
	public void paint(Graphics g)
	{
		Dimension d = getSize();
		Color c;
		
		c = new Color(receive, receive, receive);
		g.setColor(c);
		g.fillRect(0, 0, d.width, d.height);
	}
	
	public void update(Graphics g)
	{
		paint(g);
	}
}
